## tdagent 2.0.0.090netbook0natick4

=== Makefile ===
CC=gcc

bin=theftdeterrent

PIXMAPS = pixmaps
DOC = doc
CONF = conf

datadir = /usr/share

pkgdatadir = $(datadir)/theftdeterrent
pkgpixmapsdir = /usr/local/pixmaps/theftdeterrent/
pkgdocdir = /etc/theftdeterrent
pkgconfdir = /etc/theftdeterrent
pkginitdir = /etc/init.d
pkgtssdir = /etc/ntru
pkgstudentdir = /home/student
pkgiconsdir = /etc/intel/icons

SHELL = /bin/sh
mkinstalldirs = $(SHELL) ./mkinstalldirs
INSTALL = /usr/bin/install -c

INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s


bindir=/usr/bin
libdir=/usr/lib


src_dir = ./src

Model_ConnMgmt = $(src_dir)/ConnMgmt
Model_Engine = $(src_dir)/Engine
Model_GUI = $(src_dir)/GUI/src
Model_InfoMgmt = $(src_dir)/InfoMgmt
Model_Provision = $(src_dir)/Provision
Model_TPMCtrl = $(src_dir)/TPMCtrl

Model_GUI = $(src_dir)/GUI/src

CFLAGS_ConnMgmt=-I./lib/GSoap/gsoap-linux-2.7/ -I./include/ -I$(Model_ConnMgmt) -g -DDEBUG
CFLAGS_Engine=-I./include -I$(Model_Engine) -I./include/TPMCtrl
CFLAGS_InfoMgmt=-I./include -I$(Model_InfoMgmt) 
CFLAGS_TPMCtrl=-I./include -I$(Model_TPMCtrl) -I./include/TPMCtrl
CFLAGS_GUI=-I./include `pkg-config gtk+-2.0 --cflags`

theftcontrol_OBJECTS= DeviceInfo.o OtherInfo.o PromptInfo.o ProxyInfo.o ServerInfo.o IniFile.o ConnMgmt.o  soapC.o  soapClient.o stdsoap2.o ListenBroadcast.o  ParseHttpPacket.o CurrentState.o TCEngine.o TPMInterface.o TPMCtrl.o Provision.o main.o support.o interface.o callbacks.o FormTCAgent.o resmgmt.o errormap.o tray.o

Link_lib = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  -lpthread  -lssl -lcrypto -ltsp -llowlevel_tray

all:
	$(CC) $(CFLAGS_ConnMgmt) -DConnMgmt_DEBUG -DWITH_OPENSSL -c -o ConnMgmt.o $(Model_ConnMgmt)/ConnMgmt.c 
	$(CC) $(CFLAGS_ConnMgmt) -DWITH_OPENSSL -c -o soapC.o $(Model_ConnMgmt)/soapC.c
	$(CC) $(CFLAGS_ConnMgmt) -DWITH_OPENSSL -c -o soapClient.o $(Model_ConnMgmt)/soapClient.c
	$(CC) $(CFLAGS_ConnMgmt) -DWITH_OPENSSL -c -o stdsoap2.o $(Model_ConnMgmt)/stdsoap2.c
	$(CC) $(CFLAGS_ConnMgmt) -DWITH_OPENSSL -c -o ListenBroadcast.o $(Model_ConnMgmt)/ListenBroadcast.c
	$(CC) $(CFLAGS_ConnMgmt) -DWITH_OPENSSL -c -o ParseHttpPacket.o $(Model_ConnMgmt)/ParseHttpPacket.c
	$(CC) $(CFLAGS_Engine) -c -o CurrentState.o $(Model_Engine)/CurrentState.c
	$(CC) $(CFLAGS_Engine) -c -o TCEngine.o $(Model_Engine)/TCEngine.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o DeviceInfo.o $(Model_InfoMgmt)/DeviceInfo.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o OtherInfo.o $(Model_InfoMgmt)/OtherInfo.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o PromptInfo.o $(Model_InfoMgmt)/PromptInfo.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o ProxyInfo.o $(Model_InfoMgmt)/ProxyInfo.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o ServerInfo.o $(Model_InfoMgmt)/ServerInfo.c
	$(CC) $(CFLAGS_InfoMgmt) -c -o IniFile.o $(Model_InfoMgmt)/IniFile.c
	$(CC) $(CFLAGS_TPMCtrl) -c -o TPMCtrl.o $(Model_TPMCtrl)/TPMCtrl.c
	$(CC) $(CFLAGS_TPMCtrl) -c -o TPMInterface.o $(Model_TPMCtrl)/TPMInterface.c
	$(CC) $(CFLAGS_TPMCtrl) -c -o Provision.o $(Model_Provision)/Provision.c
	$(CC) $(CFLAGS_GUI) -c -o FormTCAgent.o $(Model_GUI)/FormTCAgent.c
	$(CC) $(CFLAGS_GUI) -c -o interface.o $(Model_GUI)/interface.c
	$(CC) $(CFLAGS_GUI) -c -o main.o $(Model_GUI)/main.c
	$(CC) $(CFLAGS_GUI) -c -o resmgmt.o $(Model_GUI)/resmgmt.c
	$(CC) $(CFLAGS_GUI) -c -o support.o $(Model_GUI)/support.c
	$(CC) $(CFLAGS_GUI) -c -o tray.o $(Model_GUI)/tray.c
	$(CC) $(CFLAGS_GUI) -c -o callbacks.o $(Model_GUI)/callbacks.c
	$(CC) $(CFLAGS_GUI) -c -o errormap.o $(Model_GUI)/errormap.c
	
	$(CC) -o $(bin) $(theftcontrol_OBJECTS) $(Link_lib)

install:
	if test -d ./pixmaps; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgpixmapsdir); \
	  for pixmap in ./pixmaps/*; do \
	    if test -f $$pixmap; then \
	      $(INSTALL_DATA) $$pixmap $(DESTDIR)$(pkgpixmapsdir); \
	    fi \
	  done \
	fi; \
	if test -d ./doc; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir); \
	  for docs in ./doc/*; do \
	    if test -f $$docs; then \
	      $(INSTALL_DATA) $$docs $(DESTDIR)$(pkgdocdir); \
	    fi \
	  done \
	fi; \
	if test -d ./doc/agent_files; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/agent_files; \
	  for docs in ./doc/agent_files/*; do \
	    if test -f $$docs; then \
	      $(INSTALL_DATA) $$docs $(DESTDIR)$(pkgdocdir)/agent_files; \
	    fi \
	  done \
	fi; \
	if test -d ./conf; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgconfdir); \
	  for confs in ./conf/*; do \
	    if test -f $$confs; then \
	      $(INSTALL_DATA) $$confs $(DESTDIR)$(pkgconfdir); \
	    fi \
	  done \
	fi; \
	if test -d ./student; then \
	$(mkinstalldirs) $(DESTDIR)$(pkgstudentdir); \
	fi; \
	if test -d ./icons; then \
	$(mkinstalldirs) $(DESTDIR)$(pkgiconsdir); \
	$(INSTALL_PROGRAM) ./icons/theftdeterrent.png $(DESTDIR)$(pkgiconsdir); \
	fi; \
	$(mkinstalldirs) $(DESTDIR)$(bindir); \
	$(INSTALL_PROGRAM) $(bin) $(DESTDIR)$(bindir); \
	$(INSTALL_PROGRAM) ./tools/tcsd $(DESTDIR)$(bindir); \
	$(INSTALL_PROGRAM) ./tools/theftdeterrent.sh $(DESTDIR)$(bindir); \
	$(INSTALL_PROGRAM) ./tools/set_tdagent_file  $(DESTDIR)$(pkgconfdir); \
	$(mkinstalldirs) $(DESTDIR)$(pkginitdir); \
	$(INSTALL_PROGRAM) ./init/tcsd  $(DESTDIR)$(pkginitdir); \
	$(mkinstalldirs) $(DESTDIR)$(pkgtssdir); \
	$(INSTALL_DATA) ./tss1_license.txt $(DESTDIR)$(pkgtssdir); \
	$(mkinstalldirs) $(DESTDIR)/usr/share/applications; \
	$(mkinstalldirs) $(DESTDIR)/etc/xdg/autostart; \
	$(INSTALL_DATA) ./theftdeterrent.desktop $(DESTDIR)/etc/xdg/autostart;
clean:
	rm  *.o
	rm theftdeterrent

=== src/ConnMgmt/Makefile ===
CC=gcc
CFLAGS=-I../../lib/GSoap/gsoap-linux-2.7/ -I../../include/ -g -DDEBUG

all:
	$(CC) $(CFLAGS) -DConnMgmt_DEBUG -DWITH_OPENSSL -c -o ConnMgmt.o ConnMgmt.c 
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapC.o soapC.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapClient.o soapClient.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o stdsoap2.o stdsoap2.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o ListenBroadcast.o ListenBroadcast.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o ParseHttpPacket.o ParseHttpPacket.c


test:
	$(CC) $(CFLAGS) -DConnMgmt_DEBUG -DConnMgmt_DEBUGH -DWITH_OPENSSL -c -o ConnMgmt.o ConnMgmt.c 
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapC.o soapC.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapClient.o soapClient.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o stdsoap2.o stdsoap2.c
	
.PHONY:clean
clean:
	rm -f *.o

=== src/Engine/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# src/src/Engine/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/theftdeterrent
pkglibdir = $(libdir)/theftdeterrent
pkgincludedir = $(includedir)/theftdeterrent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/src/Engine
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libengine_a_AR = $(AR) $(ARFLAGS)
libengine_a_LIBADD =
am_libengine_a_OBJECTS = CurrentState.$(OBJEXT) TCEngine.$(OBJEXT) \
	EngineCmm.$(OBJEXT)
libengine_a_OBJECTS = $(am_libengine_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libengine_a_SOURCES)
DIST_SOURCES = $(libengine_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/tdagent-2.0.0.020/missing --run aclocal-1.10
AMTAR = ${SHELL} /usr/tdagent-2.0.0.020/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/tdagent-2.0.0.020/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/tdagent-2.0.0.020/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = theftdeterrent
PACKAGE_BUGREPORT = wup@neusoft.com
PACKAGE_NAME = theftdeterrent
PACKAGE_STRING = theftdeterrent 2.0.0.020
PACKAGE_TARNAME = theftdeterrent
PACKAGE_VERSION = 2.0.0.020
PATH_SEPARATOR = :
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.0.0.020
abs_builddir = /usr/tdagent-2.0.0.020/src/src/Engine
abs_srcdir = /usr/tdagent-2.0.0.020/src/src/Engine
abs_top_builddir = /usr/tdagent-2.0.0.020
abs_top_srcdir = /usr/tdagent-2.0.0.020
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /usr/tdagent-2.0.0.020/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../..
top_srcdir = ../../..
noinst_LIBRARIES = libengine.a
AM_CFLAGS = -DWITH_OPENSSL
INCLUDES = -I. -I../../include/ -I../../include/TPMCtrl
libengine_a_SOURCES = CurrentState.c \
			TCEngine.c \
			EngineCmm.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/src/Engine/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/src/Engine/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libengine.a: $(libengine_a_OBJECTS) $(libengine_a_DEPENDENCIES) 
	-rm -f libengine.a
	$(libengine_a_AR) libengine.a $(libengine_a_OBJECTS) $(libengine_a_LIBADD)
	$(RANLIB) libengine.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/CurrentState.Po
include ./$(DEPDIR)/EngineCmm.Po
include ./$(DEPDIR)/TCEngine.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LIBRARIES)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

=== src/InfoMgmt/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# src/src/InfoMgmt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/theftdeterrent
pkglibdir = $(libdir)/theftdeterrent
pkgincludedir = $(includedir)/theftdeterrent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/src/InfoMgmt
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libinfomgmt_a_AR = $(AR) $(ARFLAGS)
libinfomgmt_a_LIBADD =
am_libinfomgmt_a_OBJECTS = DeviceInfo.$(OBJEXT) IniFile.$(OBJEXT) \
	OtherInfo.$(OBJEXT) PromptInfo.$(OBJEXT) ProxyInfo.$(OBJEXT) \
	ServerInfo.$(OBJEXT)
libinfomgmt_a_OBJECTS = $(am_libinfomgmt_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libinfomgmt_a_SOURCES)
DIST_SOURCES = $(libinfomgmt_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/tdagent-2.0.0.020/missing --run aclocal-1.10
AMTAR = ${SHELL} /usr/tdagent-2.0.0.020/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/tdagent-2.0.0.020/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/tdagent-2.0.0.020/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = theftdeterrent
PACKAGE_BUGREPORT = wup@neusoft.com
PACKAGE_NAME = theftdeterrent
PACKAGE_STRING = theftdeterrent 2.0.0.020
PACKAGE_TARNAME = theftdeterrent
PACKAGE_VERSION = 2.0.0.020
PATH_SEPARATOR = :
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.0.0.020
abs_builddir = /usr/tdagent-2.0.0.020/src/src/InfoMgmt
abs_srcdir = /usr/tdagent-2.0.0.020/src/src/InfoMgmt
abs_top_builddir = /usr/tdagent-2.0.0.020
abs_top_srcdir = /usr/tdagent-2.0.0.020
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /usr/tdagent-2.0.0.020/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../..
top_srcdir = ../../..
noinst_LIBRARIES = libinfomgmt.a
AM_CFLAGS = -DWITH_OPENSSL
INCLUDES = -I. -I../../include/
libinfomgmt_a_SOURCES = DeviceInfo.c \
			IniFile.c \
			OtherInfo.c \
			PromptInfo.c \
			ProxyInfo.c \
			ServerInfo.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/src/InfoMgmt/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/src/InfoMgmt/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libinfomgmt.a: $(libinfomgmt_a_OBJECTS) $(libinfomgmt_a_DEPENDENCIES) 
	-rm -f libinfomgmt.a
	$(libinfomgmt_a_AR) libinfomgmt.a $(libinfomgmt_a_OBJECTS) $(libinfomgmt_a_LIBADD)
	$(RANLIB) libinfomgmt.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/DeviceInfo.Po
include ./$(DEPDIR)/IniFile.Po
include ./$(DEPDIR)/OtherInfo.Po
include ./$(DEPDIR)/PromptInfo.Po
include ./$(DEPDIR)/ProxyInfo.Po
include ./$(DEPDIR)/ServerInfo.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LIBRARIES)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile

=== src/TPMCtrl/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# src/src/TPMCtrl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/theftdeterrent
pkglibdir = $(libdir)/theftdeterrent
pkgincludedir = $(includedir)/theftdeterrent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/src/TPMCtrl
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libtpmctrl_a_AR = $(AR) $(ARFLAGS)
libtpmctrl_a_LIBADD =
am_libtpmctrl_a_OBJECTS = TPMCtrl.$(OBJEXT) TPMInterface.$(OBJEXT) \
	Provision.$(OBJEXT)
libtpmctrl_a_OBJECTS = $(am_libtpmctrl_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libtpmctrl_a_SOURCES)
DIST_SOURCES = $(libtpmctrl_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/tdagent-2.0.0.020/missing --run aclocal-1.10
AMTAR = ${SHELL} /usr/tdagent-2.0.0.020/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/tdagent-2.0.0.020/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/tdagent-2.0.0.020/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = theftdeterrent
PACKAGE_BUGREPORT = wup@neusoft.com
PACKAGE_NAME = theftdeterrent
PACKAGE_STRING = theftdeterrent 2.0.0.020
PACKAGE_TARNAME = theftdeterrent
PACKAGE_VERSION = 2.0.0.020
PATH_SEPARATOR = :
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.0.0.020
abs_builddir = /usr/tdagent-2.0.0.020/src/src/TPMCtrl
abs_srcdir = /usr/tdagent-2.0.0.020/src/src/TPMCtrl
abs_top_builddir = /usr/tdagent-2.0.0.020
abs_top_srcdir = /usr/tdagent-2.0.0.020
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /usr/tdagent-2.0.0.020/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../..
top_srcdir = ../../..
noinst_LIBRARIES = libtpmctrl.a
INCLUDES = -I. -I../../include/ -I../../include/TPMCtrl -I../../include/Provision        
libtpmctrl_a_SOURCES = TPMCtrl.c \
			TPMInterface.c \
			../Provision/Provision.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/src/TPMCtrl/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/src/TPMCtrl/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libtpmctrl.a: $(libtpmctrl_a_OBJECTS) $(libtpmctrl_a_DEPENDENCIES) 
	-rm -f libtpmctrl.a
	$(libtpmctrl_a_AR) libtpmctrl.a $(libtpmctrl_a_OBJECTS) $(libtpmctrl_a_LIBADD)
	$(RANLIB) libtpmctrl.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/Provision.Po
include ./$(DEPDIR)/TPMCtrl.Po
include ./$(DEPDIR)/TPMInterface.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

Provision.o: ../Provision/Provision.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT Provision.o -MD -MP -MF $(DEPDIR)/Provision.Tpo -c -o Provision.o `test -f '../Provision/Provision.c' || echo '$(srcdir)/'`../Provision/Provision.c
	mv -f $(DEPDIR)/Provision.Tpo $(DEPDIR)/Provision.Po
#	source='../Provision/Provision.c' object='Provision.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o Provision.o `test -f '../Provision/Provision.c' || echo '$(srcdir)/'`../Provision/Provision.c

Provision.obj: ../Provision/Provision.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT Provision.obj -MD -MP -MF $(DEPDIR)/Provision.Tpo -c -o Provision.obj `if test -f '../Provision/Provision.c'; then $(CYGPATH_W) '../Provision/Provision.c'; else $(CYGPATH_W) '$(srcdir)/../Provision/Provision.c'; fi`
	mv -f $(DEPDIR)/Provision.Tpo $(DEPDIR)/Provision.Po
#	source='../Provision/Provision.c' object='Provision.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o Provision.obj `if test -f '../Provision/Provision.c'; then $(CYGPATH_W) '../Provision/Provision.c'; else $(CYGPATH_W) '$(srcdir)/../Provision/Provision.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LIBRARIES)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am

=== src/GUI/src/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# src/src/GUI/src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/theftdeterrent
pkglibdir = $(libdir)/theftdeterrent
pkgincludedir = $(includedir)/theftdeterrent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = theftdeterrent$(EXEEXT)
subdir = src/src/GUI/src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_theftdeterrent_OBJECTS = ConnMgmt.$(OBJEXT) \
	ListenBroadcast.$(OBJEXT) ParseHttpPacket.$(OBJEXT) \
	soapC.$(OBJEXT) soapClient.$(OBJEXT) stdsoap2.$(OBJEXT) \
	CurrentState.$(OBJEXT) TCEngine.$(OBJEXT) DeviceInfo.$(OBJEXT) \
	IniFile.$(OBJEXT) OtherInfo.$(OBJEXT) PromptInfo.$(OBJEXT) \
	ProxyInfo.$(OBJEXT) ServerInfo.$(OBJEXT) Provision.$(OBJEXT) \
	TPMCtrl.$(OBJEXT) TPMInterface.$(OBJEXT) FormTCAgent.$(OBJEXT) \
	interface.$(OBJEXT) main.$(OBJEXT) resmgmt.$(OBJEXT) \
	support.$(OBJEXT) tray.$(OBJEXT) callbacks.$(OBJEXT) \
	errormap.$(OBJEXT)
theftdeterrent_OBJECTS = $(am_theftdeterrent_OBJECTS)
theftdeterrent_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(theftdeterrent_SOURCES)
DIST_SOURCES = $(theftdeterrent_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/tdagent-2.0.0.020/missing --run aclocal-1.10
AMTAR = ${SHELL} /usr/tdagent-2.0.0.020/missing --run tar
AUTOCONF = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/tdagent-2.0.0.020/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -L/usr/lib -L/opt/gnome/lib -L/usr/X11R6/lib -L../../../../lib /usr/tdagent-2.0.0.020/lib/libtsp.so.1 /usr/tdagent-2.0.0.020/lib/liblowlevel_tray.so /usr/tdagent-2.0.0.020/lib/libtddl.so.1 /usr/tdagent-2.0.0.020/lib/libsigc-2.0.so.0 /usr/tdagent-2.0.0.020/lib/libglibmm-2.4.so.1  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  -lpthread  -lssl -lcrypto -ltsp -llowlevel_tray
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/tdagent-2.0.0.020/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = theftdeterrent
PACKAGE_BUGREPORT = wup@neusoft.com
PACKAGE_NAME = theftdeterrent
PACKAGE_STRING = theftdeterrent 2.0.0.020
PACKAGE_TARNAME = theftdeterrent
PACKAGE_VERSION = 2.0.0.020
PATH_SEPARATOR = :
POW_LIB = 
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 2.0.0.020
abs_builddir = /usr/tdagent-2.0.0.020/src/src/GUI/src
abs_srcdir = /usr/tdagent-2.0.0.020/src/src/GUI/src
abs_top_builddir = /usr/tdagent-2.0.0.020
abs_top_srcdir = /usr/tdagent-2.0.0.020
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /usr/tdagent-2.0.0.020/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../../..
top_srcdir = ../../../..
INCLUDES = -I. -I/usr/include -I../../../include -I../../../../lib/GSoap/gsoap-linux-2.7/  -I../../../include/TPMCtrl `pkg-config gtk+-2.0 --cflags`
AM_CFLAGS = -DWITH_OPENSSL 
AM_CXXFLAGS = -DWITH_OPENSSL
CXXFLAGS = -O2
theftdeterrent_SOURCES = ../../ConnMgmt/ConnMgmt.c \
			../../ConnMgmt/ListenBroadcast.c \
			../../ConnMgmt/ParseHttpPacket.c \
			../../ConnMgmt/soapC.c \
			../../ConnMgmt/soapClient.c \
			../../ConnMgmt/stdsoap2.c \
			../../Engine/CurrentState.c \
			../../Engine/TCEngine.c \
			../../InfoMgmt/DeviceInfo.c \
			../../InfoMgmt/IniFile.c \
			../../InfoMgmt/OtherInfo.c \
			../../InfoMgmt/PromptInfo.c \
			../../InfoMgmt/ProxyInfo.c \
			../../InfoMgmt/ServerInfo.c \
			../../Provision/Provision.c \
			../../TPMCtrl/TPMCtrl.c \
			../../TPMCtrl/TPMInterface.c \
			FormTCAgent.c \
			interface.c \
			main.c \
			resmgmt.c \
			support.c \
			tray.c \
			callbacks.c \
			errormap.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/src/GUI/src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/src/GUI/src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
theftdeterrent$(EXEEXT): $(theftdeterrent_OBJECTS) $(theftdeterrent_DEPENDENCIES) 
	@rm -f theftdeterrent$(EXEEXT)
	$(LINK) $(theftdeterrent_OBJECTS) $(theftdeterrent_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ConnMgmt.Po
include ./$(DEPDIR)/CurrentState.Po
include ./$(DEPDIR)/DeviceInfo.Po
include ./$(DEPDIR)/FormTCAgent.Po
include ./$(DEPDIR)/IniFile.Po
include ./$(DEPDIR)/ListenBroadcast.Po
include ./$(DEPDIR)/OtherInfo.Po
include ./$(DEPDIR)/ParseHttpPacket.Po
include ./$(DEPDIR)/PromptInfo.Po
include ./$(DEPDIR)/Provision.Po
include ./$(DEPDIR)/ProxyInfo.Po
include ./$(DEPDIR)/ServerInfo.Po
include ./$(DEPDIR)/TCEngine.Po
include ./$(DEPDIR)/TPMCtrl.Po
include ./$(DEPDIR)/TPMInterface.Po
include ./$(DEPDIR)/callbacks.Po
include ./$(DEPDIR)/errormap.Po
include ./$(DEPDIR)/interface.Po
include ./$(DEPDIR)/main.Po
include ./$(DEPDIR)/resmgmt.Po
include ./$(DEPDIR)/soapC.Po
include ./$(DEPDIR)/soapClient.Po
include ./$(DEPDIR)/stdsoap2.Po
include ./$(DEPDIR)/support.Po
include ./$(DEPDIR)/tray.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

ConnMgmt.o: ../../ConnMgmt/ConnMgmt.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ConnMgmt.o -MD -MP -MF $(DEPDIR)/ConnMgmt.Tpo -c -o ConnMgmt.o `test -f '../../ConnMgmt/ConnMgmt.c' || echo '$(srcdir)/'`../../ConnMgmt/ConnMgmt.c
	mv -f $(DEPDIR)/ConnMgmt.Tpo $(DEPDIR)/ConnMgmt.Po
#	source='../../ConnMgmt/ConnMgmt.c' object='ConnMgmt.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ConnMgmt.o `test -f '../../ConnMgmt/ConnMgmt.c' || echo '$(srcdir)/'`../../ConnMgmt/ConnMgmt.c

ConnMgmt.obj: ../../ConnMgmt/ConnMgmt.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ConnMgmt.obj -MD -MP -MF $(DEPDIR)/ConnMgmt.Tpo -c -o ConnMgmt.obj `if test -f '../../ConnMgmt/ConnMgmt.c'; then $(CYGPATH_W) '../../ConnMgmt/ConnMgmt.c'; else $(CYGPATH_W) '$(srcdir)/../../ConnMgmt/ConnMgmt.c'; fi`
	mv -f $(DEPDIR)/ConnMgmt.Tpo $(DEPDIR)/ConnMgmt.Po
#	source='../../ConnMgmt/ConnMgmt.c' object='ConnMgmt.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ConnMgmt.obj `if test -f '../../ConnMgmt/ConnMgmt.c'; then $(CYGPATH_W) '../../ConnMgmt/ConnMgmt.c'; else $(CYGPATH_W) '$(srcdir)/../../ConnMgmt/ConnMgmt.c'; fi`

ListenBroadcast.o: ../../ConnMgmt/ListenBroadcast.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ListenBroadcast.o -MD -MP -MF $(DEPDIR)/ListenBroadcast.Tpo -c -o ListenBroadcast.o `test -f '../../ConnMgmt/ListenBroadcast.c' || echo '$(srcdir)/'`../../ConnMgmt/ListenBroadcast.c
	mv -f $(DEPDIR)/ListenBroadcast.Tpo $(DEPDIR)/ListenBroadcast.Po

=== debian/changelog ===
tdagent (2.0.0.090netbook0natick4) natick; urgency=low

  * Add libgtk2.0-dev to the build dependencies.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Wed, 26 Aug 2009 14:43:23 -0300

tdagent (2.0.0.090netbook0natick3) hardy; urgency=low

  * Remove theftdeterrent.desktop of /usr/share/applications for SES

 -- WuPing <wup@neusoft.com>  Fri, 8 May 2009 11:12:10 +0800

tdagent (2.0.0.090netbook0natick2) hardy; urgency=low

  * Add theftdeterrent.png icons for SES

 -- WuPing <wup@neusoft.com>  Fri, 27 Feb 2009 13:33:27 +0800

tdagent (2.0.0.090netbook0natick1) hardy; urgency=low

  * Add Section and Maintainer in control of debian .

 -- WuPing <wup@neusoft.com>  Wed, 25 Feb 2009 11:37:17 +0800

tdagent (2.0.0.080netbook0natick1) hardy; urgency=low

  * add LGPL in include and src.

 -- WuPing <wup@neusoft.com>  Fri, 20 Feb 2009 13:13:21 +0000

tdagent (2.0.0.070netbook0natick1) hardy; urgency=low

  * change depends of libtdagent to Pre-depends.

 -- WuPing <wup@neusoft.com>  Mon, 02 Feb 2009 15:13:21 +0000

tdagent (2.0.0.060netbook0natick1) hardy; urgency=low

  * add libtdagent dependency when installing tdagent.

 -- WuPing <wup@neusoft.com>  Thu, 22 Jan 2009 17:24:28 +0000

tdagent (2.0.0.055netbook0natick1) hardy; urgency=low

  * fix broadcast bug.

 -- WuPing <wup@neusoft.com>  Tue, 20 Jan 2009 17:24:28 +0000

tdagent (2.0.0.050netbook0natick2) hardy; urgency=low

  * remove files .so to a seperate debian

 -- WuPing <wup@neusoft.com>  Fri, 09 Jan 2009 17:24:28 +0000

tdagent (2.0.0.050netbook0natick1) hardy; urgency=low

  * remove error information while load tpm_tis driver

 -- WuPing <wup@neusoft.com>  Fri, 09 Jan 2009 16:24:28 +0000

tdagent (2.0.0.048netbook0natick1) hardy; urgency=low

  * Removed temp files when uninstall, move chmod commands to /debian/rules

 -- WuPing <wup@neusoft.com>  Thu, 08 Jan 2009 16:24:28 +0000

tdagent (2.0.0.040netbook0natick1) hardy; urgency=low

  * fix some bugs

 -- WuPing <wup@neusoft.com>  Tue, 30 Dec 2008 22:10:28 +0000

tdagent (2.0.0.030netbook0natick1) hardy; urgency=low

  * Change install package to debian.

 -- WuPing <wup@neusoft.com>  Thu, 25 Dec 2008 22:24:28 +0000

=== debian/control ===
Source: tdagent
Section: utils
Priority: extra
Maintainer: Intel Corporation
Build-Depends: debhelper (>= 5), libssl-dev, openssl, libtdagent, libgtk2.0-dev
Standards-Version: 3.7.2

Package: tdagent
Architecture: any
Depends: 
Pre-depends: libtdagent
Description: Agent of Theft Deterrent

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tdagent.sgml > tdagent.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tdagent.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tdagent install
	chmod 777 $(CURDIR)/debian/tdagent/etc -R
	chmod 777 $(CURDIR)/debian/tdagent/home/student -R
	chmod 777 $(CURDIR)/debian/tdagent/usr/local/pixmaps -R

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
